#include <gtk/gtk.h>
#include <string.h>
#include "menu.h"
#include "g_ncp.h"
static GtkWidget *help_widget;

/*Functions called when menu entries are selected*/

void file_quit_cmd_callback (GtkWidget *widget, gpointer data)
{
   g_print ("%s\n", (char *) data);
   gtk_exit(0);
}

void g_hide(GtkWidget *widget, gpointer data)
{
gtk_widget_hide(global_log);
//gdk_window_move_resize(window,10,10,600,400);
}

void g_show(GtkWidget *widget, gpointer data)
{
gtk_widget_show(global_log);
}

void close_about(GtkWidget *w, gpointer   close_which)
{
   gtk_widget_destroy((GtkWidget *)close_which);
}

void config_g_ncp(GtkWidget *widget, gpointer data)
{
system("chmod +s `which ncpmount` -v");
system("chmod +s `which ncpumount` -v");
}

void about_g_ncp(GtkWidget *widget, gpointer data)
{


   GtkWidget *text;
   GtkWidget *close_button;
   GtkAdjustment *vadj;
  

   help_widget = gtk_dialog_new ();
   gtk_signal_connect (GTK_OBJECT (help_widget), "delete_event",
      GTK_SIGNAL_FUNC (gtk_true),
      NULL);
   gtk_window_set_wmclass (GTK_WINDOW (help_widget), "g_ncp", "g_ncp");
   gtk_window_set_title (GTK_WINDOW (help_widget), "About g_ncp");
   gtk_window_position (GTK_WINDOW (help_widget), GTK_WIN_POS_CENTER);

   vadj = GTK_ADJUSTMENT (gtk_adjustment_new (0.0, 0.0, 0.0, 0.0, 0.0, 0.0));
   text = gtk_text_new (NULL, vadj);
   gtk_text_set_editable (GTK_TEXT (text), FALSE);
   gtk_widget_set_usize (text, 400, 300);




   close_button=gtk_button_new_with_label("Close");
   gtk_signal_connect (GTK_OBJECT (close_button), "clicked",
      GTK_SIGNAL_FUNC (close_about),
      (gpointer)help_widget );
   gtk_widget_show(close_button);
   gtk_box_pack_start (GTK_BOX (GTK_DIALOG (help_widget)->  action_area),close_button, TRUE, TRUE, 0);
   gtk_box_pack_start (GTK_BOX (GTK_DIALOG (help_widget)->vbox), text, TRUE, TRUE, 0);


/* gtk_container_border_width (GTK_CONTAINER (table), 2);*/


/*  Realize the widget before allowing new text to be inserted  */
      gtk_widget_realize (text);

   gtk_text_insert (GTK_TEXT (text), font_strong, NULL, NULL,
      "g_ncp: The easy to use Frontend to the ncpfs\n\n", -1);
   gtk_text_insert (GTK_TEXT (text), font_emphasis, NULL, NULL,
      "Copyright (C) 1998 Stefan Heimers\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "This program is free software; you can redistribute it and/or modify\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "it under the terms of the GNU General Public License as published by\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "the Free Software Foundation; either version 2 of the License, or\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "(at your option) any later version.\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "This program is distributed in the hope that it will be useful,\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "but WITHOUT ANY WARRANTY; without even the implied warranty of\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "See the GNU General Public License for more details.\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "You should have received a copy of the GNU General Public License\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "along with this program; if not, write to the Free Software\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.\n", -1);
   gtk_text_insert (GTK_TEXT (text), font, NULL, NULL,
      "\n\n", -1);

   gtk_widget_show (text);
   gtk_widget_show (help_widget);
}

void help_g_ncp(GtkWidget *widget, gpointer data)
{
   system(HELPCOMMAND);
}



